Bug 436817 - (fusecompress-review) Review Request: fusecompress - FUSE based compressed filesystem implementation
Review Request: fusecompress - FUSE based compressed filesystem implementation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 12:49 EDT by Lubomir Kundrak
Modified: 2008-04-08 06:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 06:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-10 12:49:27 EDT
SRPM:
http://people.redhat.com/lkundrak/mock-results/fusecompress-1.99.14-1.fc8.x86_64/fusecompress-1.99.14-1.fc8.src.rpm
SPEC: http://people.redhat.com/lkundrak/SPECS/fusecompress.spec
mock:
http://people.redhat.com/lkundrak/mock-results/fusecompress-1.99.14-1.fc8.x86_64/

Description: FUSE based compressed filesystem implementation

FuseCompress provides a mountable Linux filesystem which transparently
compresses its content.  Files stored in this filesystem are compressed
on the fly and Fuse allows to create a transparent interface between
compressed files and user applications.
Comment 1 Lubomir Kundrak 2008-03-10 12:52:36 EDT
Note that this is ugly and I need some serious assistannce; The package includes
a mount.fusecompress wrapper which looks as follows, to enable me to be able to
place the filesystem in fstab and add options there:

IFS=,
for i in $4
do
        if [ ! "$i" = "rw" ]
        then
                echo $i
        fi
done |xargs /usr/bin/fusecompress $1 $2

Obviously rw is not the only possible option not understandable by fusecompress.
I guess there should be no such script, I am just not aware how to do that, and
thus I would be very thankful if someone with previous experience with fuse had
a short look at this and kicked me in the right direction.

Thanks!
Comment 2 Peter Lemenkov 2008-03-19 09:16:39 EDT
I'll review it.
Comment 3 Peter Lemenkov 2008-04-05 05:14:54 EDT
REVIEW:

MUST Items:

+ rpmlint silent.
+ The package named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package licensed with a Fedora approved license and meet the Licensing
Guidelines.
+ The License field in the package spec file matches the actual license.
+ File, containing the text of the license(s) for the package included in %doc.
+ The spec file written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source.

[petro@Sulaco SOURCES]$ md5sum fusecompress-1.99.14.tar.gz*
a1342b263ae1d115af5c11568bdedd72  fusecompress-1.99.14.tar.gz
a1342b263ae1d115af5c11568bdedd72  fusecompress-1.99.14.tar.gz.1
[petro@Sulaco SOURCES]$ 

+ The package successfully compiled and build into binary rpms on at least one
supported architecture (ppc).
+ All build dependencies listed in BuildRequires.
+ A package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %$RPM_BUILD_ROOT.
+ The package must consistently use macros, as described in the macros section
of Packaging Guidelines.
+ The package contains code, or permissable content.
+ All files, a package includes as %doc, does not affect the runtime of the
application.
+ Package does not own files or directories already owned by other packages.
+  At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in rpm packages are valid UTF-8.

SHOULD Items:

+ Works for me.


As to /usr/sbin/mount.fusecompress - I don't think this is an issue since we may
easily use this package w/o it completely. So if someone will find some bugs
related to this script he should fill a bug.

So it's APPROVED.
Comment 4 Lubomir Kundrak 2008-04-05 17:06:11 EDT
Ok, so I'll improve without the script for now.

New Package CVS Request
=======================
Package Name: fusecompress
Short Description: FUSE based compressed file system implementation
Owners: lkundrak
Branches: EL-5
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-04-05 22:46:30 EDT
Hum. Should this be named 'fuse-fusecompress' or 'fuse-compress' ? 
Almost all the other fuse packages are 'fuse-%{name}'.

Also, further note that EL5 kernels have NO fuse support. ;( 


Comment 6 Lubomir Kundrak 2008-04-06 07:10:04 EDT
Kevin: Is there a guideline about naming fuse modules? I'd prefer sticking with
the upstream name, unless there's one. fuse-fusecompres doesn't sound like the
name an average user would expect this package to be named.

And, right, no fuse in RHEL-5; I did not realize that I got that thingie from
atrpms. Please, just create the devel branch.
Comment 7 Kevin Fenzi 2008-04-06 15:10:08 EDT
Well, you could always Provides: fusecompress, but in any case there isn't any
guideline on fuse names that I know of. One other fuse package doesn't use the
'fuse-' prefix either. 

cvs done.
Comment 8 Peter Lemenkov 2008-04-06 15:23:31 EDT
For me using such prefixes looks very ugly solution. Instead of extending list
of available groups in /usr/share/doc/rpm-4.4.2.2/GROUPS we add stupid fuse-
erlang- python- and other prefixes.

Another one restriction is that we use only one group instead of list. 
Comment 9 Lubomir Kundrak 2008-04-07 07:19:10 EDT
Thanks Peter, thanks Kevin.
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.